Bug 1738160 - thunarx-python depends on Python 2
Summary: thunarx-python depends on Python 2
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: thunarx-python
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Balaji G
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1738183
Blocks: F31_PY2REMOVAL
TreeView+ depends on / blocked
 
Reported: 2019-08-06 13:18 UTC by Lumír Balhar
Modified: 2019-08-30 12:04 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-08-30 12:04:18 UTC
Type: Bug


Attachments (Terms of Use)

Description Lumír Balhar 2019-08-06 13:18:40 UTC
Python 2.7 will reach end-of-life in January 2020, over 9 years after it was released. This falls within the Fedora 31 lifetime.
Packages that depend on Python 2 are being switched to Python 3 or removed from Fedora: https://fedoraproject.org/wiki/Changes/F31_Mass_Python_2_Package_Removal#Information_on_Remaining_Packages
Python 2 will be retired in Fedora 32: https://fedoraproject.org/wiki/Changes/RetirePython2

To help planning, we'd like to know the plans for thunarx-python's future. Specifically:


- What is the reason for the Python2 dependency? (Is it software written in Python, or does it just provide Python bindings, or use Python in the build system or test runner?) 

- What are the upstream/community plans/timelines regarding Python 3?

- What is the guidance for porting to Python 3? (Assuming that there is someone who generally knows how to port to Python 3, but doesn't know anything about the particular package, what are the next steps to take?)


This bug is filed semi-automatically, and might not have all the context specific to thunarx-python.
If you need anything from us, or something is unclear, please mention it here.

Thank you.

Comment 1 Raphael Groner 2019-08-07 05:33:45 UTC
There's one obvious dependency only: rabbitvcs-thunar

We should ask upstream of rabbitvcs if they can support python3. Indeed, there's some ongoing discussion in the upstream issues. Otherwise, the risk is IMHO minimal to drop those two packages entirely from Fedora when python2 is EOL'ed.

Comment 2 Raphael Groner 2019-08-07 05:34:47 UTC
Getting the maintainer of rabbitvcs into this.

Comment 3 Raphael Groner 2019-08-07 05:45:00 UTC
The arch developers state: "Version 0.5.0 supports python2 and python3."
That means, we'd give a chance to any python3 subpackage. Maybe prepare a pull request.
https://aur.archlinux.org/pkgbase/thunarx-python/#comment-626710

Comment 4 Ben Cotton 2019-08-13 17:09:53 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 31 development cycle.
Changing version to '31'.

Comment 5 Ben Cotton 2019-08-13 17:35:05 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 31 development cycle.
Changing version to 31.

Comment 6 Lumír Balhar 2019-08-15 07:52:25 UTC
rabbitvcs seems to support Python 3 so it might be possible to switch it to Python 3 entirely when thunarx-python will be available.

Comment 7 Lumír Balhar 2019-08-22 06:58:26 UTC
The current plan is to remove packages with dependency on Python 2 from Fedora 32 in the middle of November 2019. If you want to keep your package in Fedora after that date and you cannot port it to Python 3 yet, you need to request a FESCo exception for the package and all its Python 2 dependencies (even transitive) [1]. If you don't want to maintain it anymore, and nothing in Fedora uses it, you can retire it or just remove the Python 2 part from it (subpackage, module, bindings, etc.).

If you're considering filing the exception request, let us know. We can help (for example, we can help find all the dependencies).

[1] https://fedoraproject.org/wiki/Changes/RetirePython2#FESCo_exceptions

Comment 8 Kevin Fenzi 2019-08-22 22:34:08 UTC
ok. I have rebuilt thunarx-python using python3. I updated the rabbitvcs bug noting that and it's maintainers can take action on it.

Comment 9 Pete Walter 2019-08-23 20:20:52 UTC
Can you also rename the package from python2-thunarx to python3-thunarx? Or even to thunarx-python, similar to what was done to nautilus-python in https://src.fedoraproject.org/rpms/nautilus-python/c/695617e03118d5b0d1671ecd1acdd3d4fe459a9f?branch=master ?

Comment 10 Kevin Fenzi 2019-08-23 21:39:58 UTC
Indeed. Sorry about that. 

ok. I have renamed it to just thunarx-python now and provide/obsolete the old names... let me know if you still see anything wrong...

Comment 11 Pete Walter 2019-08-30 12:04:18 UTC
Looks good to me now. Thanks!


Note You need to log in before you can comment on or make changes to this bug.